## ros-rolling-moveit-ros-benchmarks 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_ros_benchmarks)

set(MOVEIT_LIB_NAME moveit_ros_benchmarks)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_warehouse REQUIRED)
find_package(pluginlib REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

include_directories(include)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rclcpp
  Boost
  tf2_eigen
  moveit_ros_planning
  moveit_ros_warehouse
  pluginlib
)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/BenchmarkOptions.cpp
  src/BenchmarkExecutor.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
if(WIN32)
  set(EXTRA_LIB ws2_32.lib)
endif()
ament_target_dependencies(${MOVEIT_LIB_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(${MOVEIT_LIB_NAME} ${EXTRA_LIB})

add_executable(moveit_run_benchmark src/RunBenchmark.cpp)
ament_target_dependencies(moveit_run_benchmark
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_run_benchmark ${MOVEIT_LIB_NAME})

add_executable(moveit_combine_predefined_poses_benchmark src/simple_benchmarks/CombinePredefinedPosesBenchmark.cpp)
ament_target_dependencies(moveit_combine_predefined_poses_benchmark
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_combine_predefined_poses_benchmark ${MOVEIT_LIB_NAME})

install(
  TARGETS ${MOVEIT_LIB_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS
    moveit_run_benchmark
    moveit_combine_predefined_poses_benchmark
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include
)

install(PROGRAMS scripts/moveit_benchmark_statistics.py
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY examples/
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_pep257_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-rolling-moveit-ros-benchmarks (2.4.0-1focal) focal; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Abishalini, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.3.1-1focal) focal; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Kaustubh, Parthasarathy Bana, Robert Haschke, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.3.0-1focal) focal; urgency=high

  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Fix predefined poses benchmark example (#2718 <https://github.com/ros-planning/moveit2/issues/2718>)
  * Contributors: Akash, Captain Yoshi, Jafar Abdi, Vatan Aksoy Tezer, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Tyler Weaver, Lior Lustgarten

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.2.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.2.0-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.1.4-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.1.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.1.1-1focal) focal; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.1.0-1focal) focal; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [ros2-migration] Enable warehouse in moveit_ros_benchmarks (#301 <https://github.com/ros-planning/moveit2/issues/301>)
  * [ros2-migration] Port moveit_ros_benchmarks to ROS 2 (#225 <https://github.com/ros-planning/moveit2/issues/225>)
  * Contributors: Lior Lustgarten, Yu Yan

 -- Dave Coleman <dave@picknik.ai>  Mon, 23 Nov 2020 07:00:00 -0000

ros-rolling-moveit-ros-benchmarks (1.1.1-1focal) focal; urgency=high

  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-ros-benchmarks (1.1.0-1focal) focal; urgency=high

  * [feature] Benchmark combinations of predefined poses (#1548 <https://github.com/ros-planning/moveit/issues/1548>)
  * [feature] Support benchmarking of full planning pipelines (#1531 <https://github.com/ros-planning/moveit/issues/1531>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix plot details, correcting xlabels positions and cleaning the graph (#1658 <https://github.com/ros-planning/moveit/issues/1658>) (#1668 <https://github.com/ros-planning/moveit/issues/1668>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)


=== debian/control ===
Source: ros-rolling-moveit-ros-benchmarks
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-dev, libboost-filesystem-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-moveit-common, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-date-time1.71.0, libboost-filesystem1.71.0, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Description: Enhanced tools for benchmarks in MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-ros-benchmarks//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-ros-benchmarks 2.8.0

=== debian/changelog ===
ros-rolling-moveit-ros-benchmarks (2.8.0-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.7.4-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.7.2-2jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Extract parallel planning from moveit cpp (#2043 <https://github.com/ros-planning/moveit2/issues/2043>)
    * Add parallel_planning_interface
    * Add parallel planning interface
    * Rename package to pipeline_planning_interface
    * Move plan_responses_container into own header + source file
    * Add plan_responses_contrainer source file
    * Add solution selection and stopping criterion function files
    * Remove parallel planning from moveit_cpp
    * Move parallel planning into planning package
    * Update moveit_cpp
    * Drop planning_interface changes
    * Add documentation
    * Update other moveit packages
    * Remove removed header
    * Address CI complains
    * Address clang-tidy complains
    * Address clang-tidy complains 2
    * Address clang-tidy complains 3
    * Extract planning pipeline map creation function from moveit_cpp
    * Cleanup comment
    * Use const moveit::core::RobotModelConstPtr&
    * Formatting
    * Add header descriptions
    * Remove superfluous TODOs
    * Cleanup
  * Contributors: Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.7.1-2jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Benchmark parallel planning pipelines (#1539 <https://github.com/ros-planning/moveit2/issues/1539>)
    * Remove launch and config files (moved to moveit_resources)
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.7.0-2jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Abhijeet Das Gupta, Chris Thrasher, Christian Henkel, Cory Crean, Sameer Gupta

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.6.0-2jammy) jammy; urgency=high

  * Remove unused benchmark_execution.cpp file (#1535 <https://github.com/ros-planning/moveit2/issues/1535>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Free functions for calculating properties of trajectories (#1503 <https://github.com/ros-planning/moveit2/issues/1503>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.5.3-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-ros-benchmarks (2.5.2-2jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/c88f6fb64e9057a4b9a8f6fafc01060e8c48a216
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Fix namespace of planning plugin for benchmarks examples (#3128 <https://github.com/ros-planning/moveit2/issues/3128>)
    Since #2888 <https://github.com/ros-planning/moveit2/issues/2888> / https://github.com/ros-planning/moveit_resources/pull/92
    planning_pipeline.launch.xml loads into pipeline namespace by default,
    thus making an explicit specification of ompl redundant.


=== debian/control ===
Source: ros-rolling-moveit-ros-benchmarks
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-dev, libboost-filesystem-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-date-time1.74.0, libboost-filesystem1.74.0, ros-rolling-launch-param-builder, ros-rolling-moveit-common, ros-rolling-moveit-configs-utils, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-warehouse, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Description: Enhanced tools for benchmarks in MoveIt

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
